Bug 86101 - writer icon missing when icon size bigger than 32x32
Summary: writer icon missing when icon size bigger than 32x32
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2014-11-10 10:20 UTC by Chris
Modified: 2019-04-24 21:14 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot icons 32x32 - icon ok (52.69 KB, image/png)
2014-11-10 10:20 UTC, Chris
Details
screenshot icons 36x36 - icon not ok (51.92 KB, image/png)
2014-11-10 10:21 UTC, Chris
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2014-11-10 10:20:14 UTC
Created attachment 109204 [details]
screenshot icons 32x32 - icon ok

The file icon for writer is missing the higher resolution icons.

If the icon size in Finder is bigger than 32x32, odt files lose the writer icons and the icons become a generic document icon.

The icons with the higher resolution need to be added to the writer package
Comment 1 Chris 2014-11-10 10:21:45 UTC
Created attachment 109205 [details]
screenshot icons 36x36 - icon not ok

with an icon size of 36x36, the odt file loses the correct icon and a generic icon is displayed
Comment 2 Alex Thurgood 2014-11-10 12:46:00 UTC
Confirming
Comment 3 Joel Madero 2015-02-09 04:55:08 UTC
As part of our cleanup we are removing certain keywords. Janitor is one of these. Doing so now.
Comment 4 QA Administrators 2016-02-21 08:37:47 UTC Comment hidden (obsolete)
Comment 5 Chris 2016-02-24 06:40:11 UTC
Bug is still present, still needs to be fixed.

How to reproduce: Save odt document on Desktop
In Finder -> View -> Show View Options, move the "Icon size" slider to 32x32 -> icon ok, move the slider to 36x36 or higher -> writer icon changes to nondescript libreoffice icon
Only happens with odt files. ods and odp files are not affected.

LO: 5.1.0.3 x64
OS: OS X 10.9.5

Tested Feb. 24th, 2016
Comment 6 QA Administrators 2017-03-06 16:00:42 UTC Comment hidden (obsolete)
Comment 7 Chris 2017-03-08 08:06:28 UTC
tested with libreoffice 5.3.0.3, downloaded march 8th, 2017
still not fixed
Comment 8 QA Administrators 2018-04-24 02:33:09 UTC Comment hidden (obsolete)
Comment 9 andreas_k 2019-04-24 09:49:04 UTC
last year I update the icon files for all platforms. The icon files have now sizes up to 1024 I think, so this bug should be fixed.

can someone verify that the bug is fixed?
Comment 10 Aron Budea 2019-04-24 13:59:11 UTC
(In reply to andreas_k from comment #9)
> last year I update the icon files for all platforms. The icon files have now
> sizes up to 1024 I think, so this bug should be fixed.
> 
> can someone verify that the bug is fixed?
Still there with a 6.2.3.2 install. Probably some macOS specific thing not related to regular icons.
Comment 11 andreas_k 2019-04-24 21:14:06 UTC
it's not an icon theme bug from the design perspective everything is available and should work.